JmolPropertyManager
Date: 2019-10-22

org.jmol.api

## Interface JmolPropertyManager

- All Known Implementing Classes:
    PropertyManager

      public interface JmolPropertyManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkPropertyParameter(java.lang.String name)`
    `java.lang.Object` | `extractProperty(java.lang.Object property, java.lang.Object args, int pt, javajs.util.Lst<java.lang.Object> v2, boolean isCompiled)`
    `java.lang.String` | `fixJMEFormalCharges(javajs.util.BS bsAtoms, java.lang.String s)`
    `java.lang.String` | `getAtomData(java.lang.String atomExpression, java.lang.String type, boolean allTrajectories)`
    `java.lang.String` | `getChimeInfo(int tok, javajs.util.BS selectionSet)`
    `java.lang.String` | `getDefaultPropertyParam(int propertyID)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getLigandInfo(java.lang.Object atomExpression)`
    `java.lang.String` | `getModelCml(javajs.util.BS bs, int nAtomsMax, boolean addBonds, boolean doTransform, boolean allTrajectories)`
    `java.lang.String` | `getModelExtract(javajs.util.BS atomBitSet, boolean doTransform, boolean isModelKit, java.lang.String type, boolean allTrajectories)`
    `java.lang.String` | `getModelFileInfo(javajs.util.BS visibleFramesBitSet)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getModelInfo(java.lang.Object atomExpression)`
    `java.lang.String` | `getPdbAtomData(javajs.util.BS bs, javajs.util.OC out, boolean asPQR, boolean doTransform, boolean allTrajectories)`
    `java.lang.String` | `getPdbData(int modelIndex, java.lang.String type, javajs.util.BS bsA, java.lang.Object[] parameters, javajs.util.OC oc, boolean addStructure)`
    `java.lang.Object` | `getProperty(java.lang.String returnType, java.lang.String infoType, java.lang.Object paramInfo)`
    `int` | `getPropertyNumber(java.lang.String name)`
    `void` | `setViewer(Viewer vwr)`

- - ### Method Detail

    - #### setViewer

          void setViewer(Viewer vwr)

    - #### getProperty

          java.lang.Object getProperty(java.lang.String returnType,
                                       java.lang.String infoType,
                                       java.lang.Object paramInfo)

    - #### getDefaultPropertyParam

          java.lang.String getDefaultPropertyParam(int propertyID)

    - #### getPropertyNumber

          int getPropertyNumber(java.lang.String name)

    - #### checkPropertyParameter

          boolean checkPropertyParameter(java.lang.String name)

    - #### extractProperty

          java.lang.Object extractProperty(java.lang.Object property,
                                           java.lang.Object args,
                                           int pt,
                                           javajs.util.Lst<java.lang.Object> v2,
                                           boolean isCompiled)

    - #### getModelInfo

          java.util.Map<java.lang.String,java.lang.Object> getModelInfo(java.lang.Object atomExpression)

    - #### getLigandInfo

          java.util.Map<java.lang.String,java.lang.Object> getLigandInfo(java.lang.Object atomExpression)

    - #### getModelFileInfo

          java.lang.String getModelFileInfo(javajs.util.BS visibleFramesBitSet)

    - #### getChimeInfo

          java.lang.String getChimeInfo(int tok,
                                        javajs.util.BS selectionSet)

    - #### getModelExtract

          java.lang.String getModelExtract(javajs.util.BS atomBitSet,
                                           boolean doTransform,
                                           boolean isModelKit,
                                           java.lang.String type,
                                           boolean allTrajectories)

    - #### getPdbAtomData

          java.lang.String getPdbAtomData(javajs.util.BS bs,
                                          javajs.util.OC out,
                                          boolean asPQR,
                                          boolean doTransform,
                                          boolean allTrajectories)

    - #### getPdbData

          java.lang.String getPdbData(int modelIndex,
                                      java.lang.String type,
                                      javajs.util.BS bsA,
                                      java.lang.Object[] parameters,
                                      javajs.util.OC oc,
                                      boolean addStructure)

    - #### getModelCml

          java.lang.String getModelCml(javajs.util.BS bs,
                                       int nAtomsMax,
                                       boolean addBonds,
                                       boolean doTransform,
                                       boolean allTrajectories)

    - #### getAtomData

          java.lang.String getAtomData(java.lang.String atomExpression,
                                       java.lang.String type,
                                       boolean allTrajectories)

    - #### fixJMEFormalCharges

          java.lang.String fixJMEFormalCharges(javajs.util.BS bsAtoms,
                                               java.lang.String s)